<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___h_p_s" kind="group">
    <compoundname>group_ble_service_api_HPS</compoundname>
    <title>HTTP Proxy Service (HPS)</title>
    <innergroup refid="group__group__ble__service__api___h_p_s__server__client">HPS Server and Client Function</innergroup>
    <innergroup refid="group__group__ble__service__api___h_p_s__server">HPS Server Functions</innergroup>
    <innergroup refid="group__group__ble__service__api___h_p_s__client">HPS Client Functions</innergroup>
    <innergroup refid="group__group__ble__service__api___h_p_s__definitions">HPS Definitions and Data Structures</innergroup>
    <briefdescription>
<para>The HTTP Proxy Service allows a Client device, typically a sensor, to communicate with a Web Server through a gateway device. </para>    </briefdescription>
    <detaileddescription>
<para>Depending on the chosen GATT role in the Bluetooth Configurator, you may use a subset of the supported API.</para><para>The HPS API names begin with Cy_BLE_HPS_. In addition to this, the API also append the GATT role initial letter in the API name. </para>    </detaileddescription>
  </compounddef>
</doxygen>